#include <iostream>

using namespace std;

int main() {
	int a, b, x, y;
	cin >> a >> b >> x >> y;
	if (a - x > 0 && b - y > 0) cout << "?";
	else if (a - x > 0) cout << "prvi";
	else if (b - y > 0) cout << "drugi";
	else cout << "nijedan";
}